org.eclipse.net4j.util.concurrent

## Class Sleeper

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.Sleeper

- Deprecated.
  As of 3.9 subject to future removal.

      @Deprecated
      public class Sleeper
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sleeper()` Deprecated.
    `Sleeper(int interval)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getInterval()` Deprecated.
    `long` | `getStart()` Deprecated.
    `void` | `resleep(long millis)` Deprecated.
    `void` | `restart()` Deprecated.
    `void` | `sleep(long millis)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Sleeper

          public Sleeper()

      Deprecated.

    - #### Sleeper

          public Sleeper(int interval)

      Deprecated.

  - ### Method Detail

    - #### getInterval

          public int getInterval()

      Deprecated.

    - #### getStart

          public long getStart()

      Deprecated.

    - #### restart

          public void restart()

      Deprecated.

    - #### sleep

          public void sleep(long millis)

      Deprecated.

    - #### resleep

          public void resleep(long millis)

      Deprecated.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html